function editorUpdate()

end

function editorDraw()
    local scaledTile = tileSize * editor.zoom
    love.graphics.push()
    love.graphics.translate(-scaledTile, -scaledTile)

    for x = 1, mapWidth do
        for y = 1, mapHeight do
            local f = floor[x][y]
            if f > 0 and editor.ground then
                drawq(floorImg, floorQuad[f], x * scaledTile, y * scaledTile, 0, editor.zoom, editor.zoom)
            end

            local t = level[x][y]
            if t > 0 and editor.level1 then
                drawq(wallImg, editorWall[t], x * scaledTile, y * scaledTile, 0, editor.zoom, editor.zoom)
            end
            local t2 = level_upper[x][y]
            if t2 > 0 and t > 0 and editor.level2 then
                drawq(wallImg, editorWall[t2], x * scaledTile, y * scaledTile, 0, editor.zoom, editor.zoom)
            end
        end
    end

    for i = 1, #mapEnemy do
        love.graphics.drawq(
            enemyType[mapEnemy[i].type].img,
            enemyType[mapEnemy[i].type].quad[1][0],
            mapEnemy[i].x * scaledTile,
            mapEnemy[i].y * scaledTile,
            0,
            editor.zoom,
            editor.zoom
        )
    end

    love.graphics.pop()

    local t = ""
    t = t .. mx .. ", " .. my
    love.graphics.setFont(font["dialog"])
    setColor(0,0,0)
    grPrint(t, 3, 3)
    setColor(255,255,255)
    grPrint(t, 2, 2)

    for i = 1, #editorWall do
        setColor(255,255,255)
        drawq(wallImg, editorWall[i], love.graphics.getWidth() - 64, (i-1) * 64)
    end
end

